Technical requirements

From ICA-AtoM
Jump to: navigation, search

Please note that ICA-AtoM is no longer actively supported by Artefactual Systems.
Visit https://www.accesstomemory.org for information about AtoM, the currently supported version.

Main Page > User manual > Overview > Technical requirements


ICA-AtoM has been designed with minimal assumptions about the technology available to users and contributors. All that is required is access to the internet and a web browser. Any web browser will do. ICA-AtoM, however, does rely on "client-side" JavaScript to achieve certain effects when displaying content:

  • On edit pages, fields are grouped into information areas that are "collapsible" (fields can be displayed or hidden)
  • Some drop-down menus are collapsible (options in the list can be expanded to display more options or collapsed to hide them)

Older browsers that do not support JavaScript will not be able to view these effects. They are still able to access ICA-AtoM unimpaired; it just won't look as nice. It is recommended, therefore, that users employ modern web browsers that support JavaScript (e.g. Firefox x+, Internet Explorer x+, Safari x+).


Internet Explorer 8 and AtoM 2.0

With the release of AtoM 2.0 (current projected release date is September 30, 2013), AtoM will no longer support Internet Explorer (IE) 8 or earlier versions. If possible, please upgrade your browser to IE9 or higher, or use a supported browser such as Firefox, Chrome, Opera, or Safari.


Alternately, if you are unable to update your browser, we recommend installing the Google Chrome frame for Internet Explorer:

Google Chrome Frame is a free plug-in for Internet Explorer. Some advanced web apps use Google Chrome Frame to provide you with additional features and better performance.
Download Google Chrome Frame to:
Speed up your web experience
  • Sites that utilise Google Chrome Frame become more responsive.
Enjoy more advanced features
  • With Google Chrome Frame, sites offer you new features based on open technologies.
Surf the web the way that you are used to
  • Google Chrome Frame works under the hood with your current browser.


More information on Google's Chrome frame can be found here.


To Install Chrome Frame:

  1. Open Internet Explorer (version 7, 8, or 9)
  2. Navigate to: http://www.google.com/chromeframe
  3. Follow the download and installation instructions
    • You will first have to agree to Google's Terms and Conditions of Use

Chromeframe 1 terms.PNG

  • The installation should only take a moment, and you will not see in any noticeable change in the browser.

Chromeframe 2 install.PNG

  • Remember, if you need to manage or uninstall this add-on, you can do so in Internet Explorer by going to Tools > Manage Add-ons and selecting the Chrome Frame from the list.


NOTE: This solution to discontinue IE8 support has not been thoroughly tested. If you are running IE8 and using the Chrome Frame after our support for IE8 is discontinued and you encounter a bug, please let us know in the ICA-AtoM Issues list or start a discussion in the ICA-Atom User Discussion Forum.
Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox
In other languages